#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x8B,0x28,0xCB,0x2E,0xEA,0x1E,0xFB,0x44,0xC8,0x2C,0xD6,0x07,
		0x00,0x57,0x1C,0x1A,0x9B,0x2E,0x7D,0x4D,0xF2,0xF2,0xEE,0xBB,
		0x0A,0x3D,0xF3,0xFB,0xC4,0x1B,0x72,0x7D,0x1E,0xA5,0x3E,0xE1,
		0xDD,0x69,0xF2,0x4B,0x63,0x74,0x5B,0x5D,0xD6,0xA2,0x0F,0x72,
		0xE1,0xD4,0x42,0xCA,0xB5,0x13,0xB0,0x55,0x23,0x07,0x9B,0x29,
		0x07,0xA9,0xFE,0xA3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
